Skip to end of metadata
Go to start of metadata

This document outlines the server and client system requirements for recent Theme Builder releases...

Server Requirements

The values below are estimates only and will vary from wiki to wiki:

Confluence Version

2.1.2 or above
See Release Notes for details on which Theme Builder version is required for your version of Confluence.

Java Version

1.4, 1.5 (recommended), 1.6

Disk Space

5.0 MB

RAM

24 MB in addition to Confluence RAM consumption

Depending on the number of users, page views, spaces and theme settings used, the Theme Builder plugin may use more or less than the amounts shown above.

The primary factor affecting RAM consumption is the number of spaces that use Theme Builder and the amount of macros or other wiki notation used within the various theme panels.

Client System Requirements

Theme Builder requires a JavaScript enabled web browser with CSS support for best results.

If your browser does not have JavaScript, certain features (such as menus and collapsible sidebars) will not work, however the interface will still be usable (eg. menus will be appear as text links).

The theme is used by over 2000 organisations in over 55 countries so it's pretty reliable.

Key:

(tick) Known to work

(question) Should work

(minus) Incompatible

n/a Not Applicable

End-user interface

The end-user interface covers all Confluence screens with the exception of the theme configuration screen.

The browser versions shown below are those that we've specifically tested on and generally the theme will work on all higher versions unless stated otherwise.

Browser

Windows XP

Mac OS X

Linux

Solaris

OS/2

Notes

Camino

n/a

(tick) 1.0.2

n/a

n/a

n/a

 

Firefox

(tick) 1.5.0.7

(tick) 1.5.0.6

(question)

n/a

n/a

Adaptavist's recommended web browser.

Flock

(tick) 0.7.6

(tick) 0.7.4.1

(question)

n/a

n/a

Social web browsing!

iCab

n/a

(tick) 3.0.2 beta

n/a

n/a

n/a

Very slow browser! Menus sometimes appear in odd places. Only graphical browser maintained for Mac OS 9.

Internet Explorer

(tick) 5.5

(minus)

n/a

n/a

n/a

PNG transparency support requires Internet Explorer 5.5 or above. Terrible, awful, grim web browser.

Neoplanet

(tick) 5.2.1704

n/a

n/a

n/a

n/a

See: Internet Explorer (above)

Mozilla

(question)

(tick) 1.7.13

(question)

(question)

(question)

Use Seamonkey (see below) instead.

SeaMonkey

(tick) 1.0.5

(tick) 1.0.4

(question)

(question)

(question)

The new name for Mozilla Suite (so it's Firefox browser based)

Netscape

(question)

(tick) 7.2

(question)

n/a

n/a

When using the deck macro (not part of Builder), it's not possible to change tabs.

OmniWeb

n/a

(tick) 5.5 beta 2

n/a

n/a

n/a

Extremely fast!!

Opera

(tick) 9.01.8552

(tick) 9.01.3489

(question)

(question)

(question)

No fade transitions on sidebars. Scrollable menus appear in odd places.

Safari

n/a

(tick) 2.0.4

n/a

n/a

n/a

Context sensitive menus (if used) sometimes cause problems.

Shiira

n/a

(tick) 2.0 beta 1

n/a

n/a

n/a

Same rendering engine as Safari

Minimo

(question)

n/a

n/a

n/a

n/a

Firefox for mobile devices - not had chance to test it.

Theme Configuration

The visual theme editor (Theme Builder 2.0 and above) makes extensive use of JavaScript and we strongly recommend using Firefox as it's by far the fastest browser for theme configuration.

Browser

Windows XP

Mac OS X

Linux

Solaris

OS/2

Notes

Camino

n/a

(tick) 1.0.2

n/a

n/a

n/a

 

Firefox

(tick) 1.5.0.7

(tick) 1.5.0.6

(question)

n/a

n/a

Adaptavist's recommended web browser.

Flock

(tick) 0.7.6

(tick) 0.7.4.1

(question)

n/a

n/a

Social web browsing!

iCab

n/a

(tick) 3.0.2 beta

n/a

n/a

n/a

Exceedingly slow and layout previews not shown properly. To edit panels, use the Edit menu rather than clicking on them in the layout preview.

Internet Explorer

(tick) 7.0

(minus)

n/a

n/a

n/a

IE has a very slow javaScript engine, we'd recommend using a modern browser instead.

Neoplanet

(tick) 5.2.1704

n/a

n/a

n/a

n/a

See: Internet Explorer (above)

Mozilla

(question)

(tick) 1.7.13

(question)

(question)

(question)

Use Seamonkey (see below) instead.

SeaMonkey

(tick) 1.0.5

(tick) 1.0.4

(question)

(question)

(question)

The new name for Mozilla Suite (so it's Firefox browser based)

Netscape

(question)

(question) 7.2

(question)

n/a

n/a

When using the deck macro (not part of Builder), it's not possible to change tabs.

OmniWeb

n/a

(tick) 5.5 beta 2

n/a

n/a

n/a

Amazingly fast!

Opera

(minus) 9.01.8552

(minus) 9.01.3489

(question)

(question)

(question)

Too many CSS and JavaScript bugs in Opera at present.

Safari

n/a

(tick) 2.0.4

n/a

n/a

n/a

 

Shiira

n/a

(tick) 2.0 beta 1

n/a

n/a

n/a

Same rendering engine as Safari

Minimo

(question)

n/a

n/a

n/a

n/a

Unlikely to be usable for theme config due to tiny screen size.

Help us to test!

With so many versions of so many web browsers on so many operating systems and platforms, it's going to take us an age to test all of them. If you're able to test the Builder theme on versions, browsers, operating systems and platforms we've not tested yet, please let us know what the results are.

The Opera browser is also available for FreeBSD, QNX and BeOS however we've not yet tested on these environments.

Likewise we have not performed in-house testing on Solaris, OS/2 and a few other operating systems although we know some of our clients use these systems and have not experienced any problems.

  • No labels